[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Head-up - new firefox in rawhide

On 11/23/2009 12:34 PM, Martin Stransky wrote:
On 11/22/2009 02:17 PM, Ville-Pekka Vainio wrote:
to, 2009-11-19 kello 14:30 -0800, Christopher Aillon kirjoitti:
Perhaps we should continue to provide -unstable, though. Things that
still need the unstable libs can continue Require -unstable which will
make it a heck of a lot easier to figure out what to rebuild...

+1. I'd like to see a decision made soon on whether you will provide
-unstable or not. My xulrunner unstable dependent package (mozvoikko)
has been broken in Rawhide for a few days now, I'd like to know which
will be the best way to fix it.

Okay, what about this:

- all packages should switch to unified mozilla package config files,
libxul-embedding.pc & libxul.pc. Old libxul-embedding-unstable.pc &
libxul-unstable.pc will be provided for compatibility.

built as xulrunner-

- packages built against unfrozen interfaces will keep BuildRequire:
gecko-devel-unstable. It helps mozilla team to decide which packages
should be rebuild in update.

You may identify frozen (stable) interface by:

- at http://www.mozilla.org/projects/embedding/EmbedInterfaceFreeze.html
- at sources - look for "@status" string in appropriate idl file (in
/usr/share/idl/xulrunner-sdk-1.9.2), all frozen interfaces have status
"FROZEN" there.

Recently, a few F12 packages (looks like browser plug-ins only) are
built against frozen (stable) interface [1] and all others require
unstable interface.




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]